Preview Environments
Update Config
Authorization
write AuthorizationBearer <token>
Personal access token whose scope satisfies write.
In: header
Path Parameters
projectId*string
Format
uuidapplicationId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08/previews/config" \ -H "Content-Type: application/json" \ -d '{}'{ "preview_branch_pattern": "string", "preview_domain_template": "string"}